Viviot.Api

<back to all web services

ResendReservationPinCodes

BusinessReservations
Requires Authentication
Requires any of the roles:Admin, TenantAdmin, AccessAdmin, Receptionist
The following routes are available for this service:
PUT/reservation/{ReservationId}/resendpincodesResends the reservation's currently active PIN code(s) via email to its guests.
ResendReservationPinCodes Parameters:
NameParameterData TypeRequiredDescription
EmailbodystringNoOptional override email address. If not set, sends to every guest's stored email address.
BaseReservation Parameters:
NameParameterData TypeRequiredDescription
ReservationIdformstringYesReservation Id (GUID)
BaseRequest Parameters:
NameParameterData TypeRequiredDescription
VersionformintegerNoApi version
BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /reservation/{ReservationId}/resendpincodes HTTP/1.1 
Host: api.4spaces.io 
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length

{
	email: String,
	reservationId: 00000000000000000000000000000000,
	version: 0
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	responseStatus: 
	{
		errorCode: String,
		message: String,
		stackTrace: String,
		errors: 
		[
			{
				errorCode: String,
				fieldName: String,
				message: String,
				meta: 
				{
					String: String
				}
			}
		],
		meta: 
		{
			String: String
		}
	}
}